Skip to main content
`Ctrl`+`K`

# MATSOLVERKLU

“klu” - A matrix type providing direct solvers, LU, for sequential matrices via the external package KLU. `./configure --download-suitesparse` to install PETSc to use KLU

Use `-pc_type lu` `-pc_factor_mat_solver_type klu` to use this direct solver

Consult KLU documentation for more information on the options database keys below.

## Options Database Keys

- -mat_klu_pivot_tol <0.001> - Partial pivoting tolerance

- -mat_klu_use_btf <1> - Use BTF preordering

- -mat_klu_ordering <AMD> - KLU reordering scheme to reduce fill-in (choose one of) `AMD`, `COLAMD`, `PETSC`

- -mat_klu_row_scale <NONE> - Matrix row scaling (choose one of) `NONE`, `SUM`, `MAX`

## Note

KLU is part of SuiteSparse http://faculty.cse.tamu.edu/davis/suitesparse.html

## See Also

Matrices, `Mat`, `PCLU`, `MATSOLVERUMFPACK`, `MATSOLVERCHOLMOD`, `PCFactorSetMatSolverType()`, `MatSolverType`

## Level

beginner

## Location

src/mat/impls/aij/seq/klu/klu.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages